Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs | Functions
danerror.h File Reference

Go to the source code of this file.

## Macros

#define | NOERROR 0
#define | DO_NOTHING 0

## Typedefs

typedef int | TRAPERROR
typedef void(* | VOID_PROC )()

## Functions

void | DoError (int Error, const char *Message)

## Macro Definition Documentation

#define DO_NOTHING 0

Definition at line 25 of file danerror.h.

#define NOERROR 0

Include Files and Type Defines —————————————————————————-

Definition at line 24 of file danerror.h.

## Typedef Documentation

typedef int TRAPERROR

Definition at line 27 of file danerror.h.

typedef void(* VOID_PROC)()

Definition at line 28 of file danerror.h.

## Function Documentation

void DoError | ( | int | Error,
|  | const char * | Message
| ) |  |

Public Function Prototypes —————————————————————————-

Include Files and Type Defines —————————————————————————-

Definition at line 32 of file danerror.cpp.

{
/*
** Parameters:
** Error error number which is to be trapped
** Message pointer to a string to be printed as an error message
** Globals:
** ErrorTrapStack stack of error traps
** CurrentTrapDepth number of traps on the stack
** Operation:
** This routine prints the specified error message to stderr.
** It then jumps to the current error trap. If the error trap
** stack is empty, the calling program is terminated with a
** fatal error message.
** Return:
** None - this routine does not return.
** Exceptions:
** Empty error trap stack terminates the calling program.
** History:
** 4/3/89, DSJ, Created.
*/
if (Message != NULL) {
tprintf("\nError: %s!\n", Message);
}
signal_termination_handler(Error);
} /* DoError */